Get Music Finetunes

List music finetunes accessible to you (your own, workspace-shared, and ElevenLabs-curated), with optional filtering, sorting, and cursor pagination.

Headers

xi-api-keystringOptional

Query parameters

cursorstring or nullOptional
Used for fetching the next page. Cursor is returned in the response.
page_sizeintegerOptional1-100Defaults to 50
How many finetunes to return. Max 100, default 50.
visibilityenum or nullOptional
Filter by visibility. 'private' returns private finetunes; 'workspace' returns workspace-shared finetunes; 'public' returns public finetunes, which are currently ElevenLabs curated finetunes. Omit to return all accessible finetunes.
Allowed values:
created_byenum or nullOptional

Filter by creator. ‘self’ returns finetunes you created; ‘workspace’ returns finetunes created by workspace teammates; ‘elevenlabs’ returns ElevenLabs curated finetunes. Omit to return finetunes from all creators.

Allowed values:
sortenumOptionalDefaults to created_at

Sort by field (created_at or name)

Allowed values:
sort_directionenumOptionalDefaults to desc

Sort direction (asc or desc)

Allowed values:

Response

Successful Response
finetuneslist of objects
The finetunes in this page.
next_cursorstring or null

Cursor to pass as cursor to fetch the next page; null when there are no more results.

has_moreboolean
Whether more finetunes are available beyond this page.

Errors

422
Unprocessable Entity Error